Next Commerce
API ReferencePayments

Gateway Groups List

Retrieve a list of gatway groups.

GET
/gateway-groups/

Authorization

oauth2 gateways:read
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: gateways:read

Query Parameters

cursor?string

The pagination cursor value.

Header Parameters

X-29next-API-Version*"2024-04-01"
Default"2024-04-01"

Value in

  • "2024-04-01"

Response Body

application/json

curl -X GET "https://example.com/gateway-groups/" \  -H "X-29next-API-Version: 2024-04-01"
{  "next": "http://example.com",  "previous": "http://example.com",  "results": [    {      "available_currencies": [        {          "code": "strin",          "label": "string"        }      ],      "available_express_payment_methods": [        {          "code": "string",          "label": "string"        }      ],      "available_payment_methods": [        {          "code": "string",          "label": "string",          "supported_currencies": [            null          ]        }      ],      "card_types": [        {          "code": "string",          "label": "string"        }      ],      "id": 0,      "name": "string"    }  ]}